Last Comment Bug 534689 - Port |Bug 384179 - crash on startup| to SeaMonkey
: Port |Bug 384179 - crash on startup| to SeaMonkey
Status: RESOLVED FIXED
[fixed in, 2.1a2: Av1; 2.1b1: Bv3]
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://hg.mozilla.org/mozilla-central...
Depends on: 526333 384179 394502 563012 598644
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 11:48 PST by Serge Gautherie (:sgautherie)
Modified: 2014-04-25 15:14 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Just be more specific wrt MOZ_STATIC_BUILD, ftb [Checkin: Comment 6] (799 bytes, patch)
2010-05-14 09:18 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Review
(Bv1) Do+Fix the libxul part (5.26 KB, patch)
2010-09-22 15:16 PDT, Serge Gautherie (:sgautherie)
kairo: review-
Details | Diff | Review
(Bv2) Fix the libxul part (5.38 KB, patch)
2010-09-23 07:27 PDT, Serge Gautherie (:sgautherie)
kairo: review-
Details | Diff | Review
(Bv3) Fix the libxul part [Checked in: Comment 15] (3.67 KB, patch)
2010-09-23 07:50 PDT, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2009-12-14 11:48:05 PST
I guess we need to port that bug!?
Comment 1 Robert Kaiser (not working on stability any more) 2010-04-13 12:00:07 PDT
Serge, have we actually fixed this with our recent updates of packaging files?
Comment 2 Serge Gautherie (:sgautherie) 2010-04-13 15:08:53 PDT
(In reply to comment #1)

I would assume it's not (fully): SM removed-files.in has no |#ifdef MOZ_ENABLE_LIBXUL| yet...
NB: The |#ifndef MOZ_ENABLE_LIBXUL| part may not be perfect, but I assume we should be safe with what we have.

No real need to look into this until we are closer to supporting libxul builds.
Comment 3 Robert Kaiser (not working on stability any more) 2010-04-13 18:21:50 PDT
I don't want to split hairs, but I see package-manifest and removed-files more as build config than as installer, esp. regarding what people do work on what component. Installer tends to be the Windows NSIS installer only these days.
Comment 4 Justin Wood (:Callek) 2010-05-03 20:13:14 PDT
Morphing to NEW; we'll want this in some way; I did not verify if it is already fixed however.
Comment 5 Serge Gautherie (:sgautherie) 2010-05-14 09:18:05 PDT
Created attachment 445368 [details] [diff] [review]
(Av1) Just be more specific wrt MOZ_STATIC_BUILD, ftb
[Checkin: Comment 6]
Comment 6 Serge Gautherie (:sgautherie) 2010-05-19 02:26:01 PDT
Comment on attachment 445368 [details] [diff] [review]
(Av1) Just be more specific wrt MOZ_STATIC_BUILD, ftb
[Checkin: Comment 6]


http://hg.mozilla.org/comm-central/rev/0b91c20ad258
Comment 7 Serge Gautherie (:sgautherie) 2010-09-22 15:02:23 PDT
     1.7 +#ifdef MOZ_ENABLE_LIBXUL

     1.8 +@DLL_PREFIX@xpcom_core@DLL_SUFFIX@
     1.9 +components/@DLL_PREFIX@jar50@DLL_SUFFIX@
    1.10 +#ifdef XP_WIN
    1.11 +components/jsd3250.dll
    1.12 +components/xpinstal.dll
    1.13 +#else
    1.14 +components/@DLL_PREFIX@jsd@DLL_SUFFIX@
    1.15 +components/@DLL_PREFIX@xpinstall@DLL_SUFFIX@
    1.16 +#endif
    1.17 +components/@DLL_PREFIX@jar50@DLL_SUFFIX@

xpcom_core and jsd(3250) fixed by bug 394502.
xpinstal(l) fixed by bug 563012.
jar50 is still a todo.

    1.18 +#else

    1.19 +#ifdef XP_MACOSX
    1.20 +XUL
    1.21 +#else
    1.22 +@DLL_PREFIX@xul@DLL_SUFFIX@
    1.23 +#endif

Fixed by patch Av1 (and older).

    1.24 +#endif
Comment 8 Serge Gautherie (:sgautherie) 2010-09-22 15:16:35 PDT
Created attachment 477715 [details] [diff] [review]
(Bv1) Do+Fix the libxul part

*Reorder [xpcom], while there.
*Do jar50, this bug.
*Fix xpcomcor/xpcom_core and jsd3250, from bug 394502 bad fix.
Comment 9 Robert Kaiser (not working on stability any more) 2010-09-22 15:19:19 PDT
(In reply to comment #7)
> jar50 is still a todo.

IIRC, this is in my bug 598644 patch.

Note that static builds are unsupported now after bug 394502 and packaging of shared build is also not supported any more, they are a pure developer-private option only until they will go completely unsupported on the m-c side later.
Comment 10 Robert Kaiser (not working on stability any more) 2010-09-22 15:21:01 PDT
Comment on attachment 477715 [details] [diff] [review]
(Bv1) Do+Fix the libxul part

1) See my comment from before.
2) I see no reason for removing anything from removed-files here unless you can argument it with those files never having been in any 2.x milestone.
Comment 11 Serge Gautherie (:sgautherie) 2010-09-23 07:27:05 PDT
Created attachment 477922 [details] [diff] [review]
(Bv2) Fix the libxul part

*Reorder [xpcom], while there.
*Fully remove gkdebug handling, leftover from bug 598644.
*Fully fix jar50, leftover from bug 598644.
*Fix xpcomcor/xpcom_core and jsd3250, from bug 394502 bad fix.


(In reply to comment #9)

> IIRC, this is in my bug 598644 patch.

Indeed, but missing removed-files.in update.

> Note that static builds are unsupported now after bug 394502 and packaging of
> shared build is also not supported any more, they are a pure developer-private
> option only until they will go completely unsupported on the m-c side later.

So I understood.


(In reply to comment #10)
> 2) I see no reason for removing anything from removed-files here unless you can
> argument it with those files never having been in any 2.x milestone.

I'm not sure I understand what you mean :-/
*gkdebug was debug 2.1 only.
*jar50 and xpcom_core were in 2.0.x release.
*jsd3250 was just a bad copy+paste.
Comment 12 Robert Kaiser (not working on stability any more) 2010-09-23 07:31:41 PDT
Comment on attachment 477922 [details] [diff] [review]
(Bv2) Fix the libxul part

1) Please no "just reordering because it's fun" patches.
2) As I explained in bug 598644, we don't need any changes to removed-files, as we never shipped those libraries in 2.x milestones.
Comment 13 Robert Kaiser (not working on stability any more) 2010-09-23 07:34:53 PDT
Actually, regarding removed-files, you might be right.

(In reply to comment #11)
> *gkdebug was debug 2.1 only.

OK, then it was a bug we even added it to that file, you're right in killing it.

> *jar50 and xpcom_core were in 2.0.x release.

You mean, they were present in 2.0.x releases as we shipped them? If so, we need to have them in removed-files.

> *jsd3250 was just a bad copy+paste.

OK, then let's kill it.
Comment 14 Serge Gautherie (:sgautherie) 2010-09-23 07:50:30 PDT
Created attachment 477927 [details] [diff] [review]
(Bv3) Fix the libxul part
[Checked in: Comment 15]

(In reply to comment #13)

> You mean, they were present in 2.0.x releases as we shipped them? If so, we
> need to have them in removed-files.

Yes, they still are in en-US Windows seamonkey-2.0.8.zip for example!

> OK, then let's kill it.

Not kill: fix!
Comment 15 Serge Gautherie (:sgautherie) 2010-09-23 08:37:01 PDT
Comment on attachment 477927 [details] [diff] [review]
(Bv3) Fix the libxul part
[Checked in: Comment 15]

http://hg.mozilla.org/comm-central/rev/f9fe8f8696a2

Note You need to log in before you can comment on or make changes to this bug.